Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java	(revision 2396)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java	(revision 2397)
@@ -69,66 +69,68 @@
  * @author sloiseau
  */
 public class ___Lexicon2 extends Index {
-
+	
 	/** The nolex. */
 	protected static int nolex = 1;
-
+	
 	/** The prefix r. */
 	protected static String prefixR = "Lexicon_"; //$NON-NLS-1$
-
+	
 	/** The forms. */
 	private String[] forms;
-
+	
 	/** The freqs. */
 	private int[] freqs;
-
+	
 	/** The ids. */
 	private int[] ids;
-
+	
 	/** The number of tokens. */
 	int numberOfTokens = -1;
-
+	
 	/** The symbol. */
 	private String symbol;
-
+	
 	/** The writer. */
 	private OutputStreamWriter writer;
-
+	
 	/**
 	 * The property.
 	 */
-	@Parameter(key=TXMPreferences.UNIT_PROPERTY)
+	@Parameter(key = TXMPreferences.UNIT_PROPERTY)
 	protected Property pProperty;
 	
-
+	
 	/**
 	 * Creates a not computed lexicon from the specified corpus.
+	 * 
 	 * @param parent
 	 */
-	public ___Lexicon2(CQPCorpus parent)	{
+	public ___Lexicon2(CQPCorpus parent) {
 		super(parent);
 	}
-
+	
 	/**
 	 * Creates a not computed lexicon from the specified parametersNodePath node name.
+	 * 
 	 * @param parametersNodePath
 	 */
-	public ___Lexicon2(String parametersNodePath)	{
+	public ___Lexicon2(String parametersNodePath) {
 		super(parametersNodePath);
 	}
 	
-
 	
+	
 	@Override
 	public CQPCorpus getParent() {
-		return (CQPCorpus)super.getParent();
+		return (CQPCorpus) super.getParent();
 	}
-
+	
 	@Override
 	public boolean loadParameters() {
 		super.loadParameters();
 		try {
-			//this.persistable = false; // FIXME: remove that later
+			// this.persistable = false; // FIXME: remove that later
 			String p = this.getStringParameterValue(TXMPreferences.UNIT_PROPERTY);
 			if (p != null && p.length() > 0) {
 				CQPCorpus parent = getParent();
@@ -152,29 +154,29 @@
 	public boolean saveParameters() {
 		super.saveParameters();
 		// FIXME: became useless? check that it's well automated by autoSaveParametersFromAnnotations()?
-		//this.saveParameter(TXMPreferences.UNIT_PROPERTY, this.pProperty);
+		// this.saveParameter(TXMPreferences.UNIT_PROPERTY, this.pProperty);
 		return true;
 	}
-
 	
+	
 	@Override
 	public void clean() {
 		super.clean();
 		// TODO Auto-generated method stub
 	}
-
+	
 	@Override
 	public boolean canCompute() {
 		return super.canCompute() && (pProperty != null);
 	}
-
+	
 	@Override
 	protected boolean _computeLines() throws Exception {
 		if (this.getParent() instanceof MainCorpus) {
-			return computeWithMainCorpus((MainCorpus)this.getParent(), pProperty, monitor);
+			return computeWithMainCorpus((MainCorpus) this.getParent(), pProperty, monitor);
 		}
 		else if (this.getParent() instanceof Subcorpus) {
-			return computewithSubCorpus((Subcorpus)this.getParent(), pProperty, monitor);
+			return computewithSubCorpus((Subcorpus) this.getParent(), pProperty, monitor);
 		}
 		else {
 			Log.severe("Error: Lexicon parent is neither a Maincorpus nor a Subcorpus."); //$NON-NLS-1$
@@ -201,27 +203,29 @@
 		int lexiconSize;
 		try {
 			lexiconSize = CorpusManager.getCorpusManager().getCqiClient().lexiconSize(property.getQualifiedName());
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			throw new CqiClientException(e);
 		}
-
+		
 		int[] ids = new int[lexiconSize];
 		for (int i = 0; i < ids.length; i++) {
 			ids[i] = i;
 		}
-
+		
 		int[] freqs;
 		try {
 			this.subTask("Computing lexicon frequencies...");
 			freqs = CorpusManager.getCorpusManager().getCqiClient().id2Freq(property.getQualifiedName(), ids);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			throw new CqiClientException(e);
 		}
-
+		
 		this.init(corpus, property, freqs, ids);
 		return true;
 	}
-
+	
 	/**
 	 * 
 	 * @param corpus
@@ -231,16 +235,16 @@
 	 * @throws CqiClientException
 	 */
 	// FIXME: why this method needs to create and delete some new subcorpus???? the computing can't be done directly on the corpus argument???
-	// eg. dist = CorpusManager.getCorpusManager().getCqiClient().fdist1(corpus.getQualifiedCqpId(), 0,	ICqiClient.CQI_CONST_FIELD_MATCH, property.getName());
+	// eg. dist = CorpusManager.getCorpusManager().getCqiClient().fdist1(corpus.getQualifiedCqpId(), 0, ICqiClient.CQI_CONST_FIELD_MATCH, property.getName());
 	protected boolean computewithSubCorpus(Subcorpus corpus, Property property, IProgressMonitor monitor) throws CqiClientException {
-
-//		if (corpus instanceof Part) {
-//			this.persistable = false;
-//		}
 		
-		//System.out.println("not found");
+		// if (corpus instanceof Part) {
+		// this.persistable = false;
+		// }
+		
+		// System.out.println("not found");
 		Log.finest(NLS.bind(IndexCoreMessages.computingTheLexiconOfSubcorpusP0, corpus.getName()));
-		//long start = System.currentTimeMillis();
+		// long start = System.currentTimeMillis();
 		int[][] fdist = null;
 		Subcorpus tmp = null;
 		try {
@@ -248,14 +252,16 @@
 			tmp = corpus.createSubcorpus(new CQLQuery("[]"), "S" + corpus.getNextSubcorpusCounter(), true); //$NON-NLS-1$
 			if (tmp != null) {
 				fdist = CorpusManager.getCorpusManager().getCqiClient().fdist1(tmp.getQualifiedCqpId(), 0, ICqiClient.CQI_CONST_FIELD_MATCH, property.getName());
-
+				
 				corpus.dropSubcorpus(tmp);
 				tmp.delete();
 			}
-			//System.out.println("nb lines: "+fdist.length);
-		} catch (Exception e) {
+			// System.out.println("nb lines: "+fdist.length);
+		}
+		catch (Exception e) {
 			throw new CqiClientException(e);
-		} finally {
+		}
+		finally {
 			if (tmp != null) {
 				try {
 					corpus.dropSubcorpus(tmp);
@@ -266,14 +272,14 @@
 			}
 		}
 		int lexiconSize = fdist.length;
-
+		
 		int[] freqs = new int[lexiconSize];
 		int[] ids = new int[lexiconSize];
 		for (int i = 0; i < fdist.length; i++) {
 			ids[i] = fdist[i][0];
 			freqs[i] = fdist[i][1];
 		}
-
+		
 		init(corpus, property, freqs, ids);
 		return true;
 	}
@@ -291,7 +297,7 @@
 		this.symbol = v.getSymbol();
 		return v;
 	}
-
+	
 	/**
 	 * Compute number of tokens. / this.nbr
 	 */
@@ -301,7 +307,7 @@
 			numberOfTokens += freqs[i];
 		}
 	}
-
+	
 	/**
 	 * Dump lexicon forms and frequencies in a String.
 	 *
@@ -313,12 +319,13 @@
 		StringBuffer buffer = new StringBuffer();
 		getForms();
 		for (int i = 0; i < forms.length; i++) {
-			buffer.append(txt + forms[i].replace(txt, txt + txt) + txt + col + freqs[i] + "\n"); //$NON-NLS-1$ 
+			buffer.append(txt + forms[i].replace(txt, txt + txt) + txt + col + freqs[i] + "\n"); //$NON-NLS-1$
 		}
 		return buffer.toString();
 	}
-
-	/* (non-Javadoc)
+	
+	/*
+	 * (non-Javadoc)
 	 * @see java.lang.Object#equals(java.lang.Object)
 	 */
 	@Override
@@ -327,15 +334,15 @@
 			return false;
 		}
 		___Lexicon2 other = (___Lexicon2) obj;
-
+		
 		if (other.nbrOfType() != this.nbrOfType()) {
 			return false;
 		}
 		return (Arrays.equals(freqs, other.getFreq()) && Arrays.equals(getForms(), other.getForms()));
 	}
-
-
-
+	
+	
+	
 	public String getDetails() {
 		try {
 			return this.getParent().getName() + " " + this.pProperty.getName(); //$NON-NLS-1$
@@ -344,26 +351,26 @@
 			return this.getCurrentName();
 		}
 	}
-
-	//TODO: move this into a Lexicon chart renderer
-	//	/**
-	//	 * Draw a pareto graphic with this frequency list and record it into the
-	//	 * provided filename into svg format.
-	//	 *
-	//	 * @param file where to save the pareto graphic.
-	//	 * @return the pareto graphic
-	//	 * @throws StatException if anything goes wrong.
-	//	 */
-	//	public void getParetoGraphic(File file) throws StatException {
-	//		String rName = asVector().getSymbol();
-	//		String expr = "pareto(" + rName + ")"; //$NON-NLS-1$ //$NON-NLS-2$
-	//		try {
-	//			RWorkspace.getRWorkspaceInstance().plot(file, expr, RDevice.SVG);
-	//		} catch (Exception e) {
-	//			throw new StatException(e);
-	//		}
-	//	}
-
+	
+	// TODO: move this into a Lexicon chart renderer
+	// /**
+	// * Draw a pareto graphic with this frequency list and record it into the
+	// * provided filename into svg format.
+	// *
+	// * @param file where to save the pareto graphic.
+	// * @return the pareto graphic
+	// * @throws StatException if anything goes wrong.
+	// */
+	// public void getParetoGraphic(File file) throws StatException {
+	// String rName = asVector().getSymbol();
+	// String expr = "pareto(" + rName + ")"; //$NON-NLS-1$ //$NON-NLS-2$
+	// try {
+	// RWorkspace.getRWorkspaceInstance().plot(file, expr, RDevice.SVG);
+	// } catch (Exception e) {
+	// throw new StatException(e);
+	// }
+	// }
+	
 	/**
 	 * The dif ferent types in the lexicon, the type at the index <code>j</code>
 	 * of this array have the frequency at index <code>j</code> in the array
@@ -373,19 +380,20 @@
 	 */
 	public String[] getForms() {
 		if (forms == null) {
-			if(ids == null) {
+			if (ids == null) {
 				return new String[0];
 			}
 			try {
 				forms = CorpusManager.getCorpusManager().getCqiClient().id2Str(pProperty.getQualifiedName(), ids);
-			} catch (Exception e) {
+			}
+			catch (Exception e) {
 				// TODO Auto-generated catch block
 				org.txm.utils.logger.Log.printStackTrace(e);
 			}
 		}
 		return forms;
 	}
-
+	
 	/**
 	 * The different types in the lexicon, the type at the index <code>j</code>
 	 * of this array have the frequency at index <code>j</code> in the array
@@ -395,7 +403,7 @@
 	 * @return types as an array of <code>String</code>
 	 */
 	public String[] getForms(int number) {
-		//System.out.println("Lexicon("+this.property+" get forms. number="+number+", ids len="+ids.length);
+		// System.out.println("Lexicon("+this.property+" get forms. number="+number+", ids len="+ids.length);
 		if (forms == null) {
 			try {
 				number = Math.min(number, ids.length);
@@ -405,12 +413,14 @@
 				int[] subpositions = new int[number];
 				System.arraycopy(ids, 0, subpositions, 0, number);
 				return CorpusManager.getCorpusManager().getCqiClient().id2Str(pProperty.getQualifiedName(), subpositions);
-			} catch (Exception e) {
+			}
+			catch (Exception e) {
 				// TODO Auto-generated catch block
 				org.txm.utils.logger.Log.printStackTrace(e);
 				return null;
 			}
-		} else {
+		}
+		else {
 			number = Math.min(number, ids.length);
 			if (number <= 0) {
 				return new String[0];
@@ -420,7 +430,7 @@
 			return subforms;
 		}
 	}
-
+	
 	/**
 	 * The dif ferent frequencies in the lexicon. See {@link #getForms()}.
 	 * 
@@ -429,7 +439,7 @@
 	public int[] getFreq() {
 		return freqs;
 	}
-
+	
 	/**
 	 * return the ids of the entries.
 	 *
@@ -438,17 +448,17 @@
 	public int[] getIds() {
 		return ids;
 	}
-
+	
 	@Override
 	public String getName() {
 		try {
-			return IndexCoreMessages.lexicon + ": " + this.parent.getSimpleName() + ": " + this.getSimpleName();	
+			return IndexCoreMessages.lexicon + ": " + this.parent.getSimpleName() + ": " + this.getSimpleName();
 		}
-		catch(Exception e) {
+		catch (Exception e) {
 		}
 		return ""; //$NON-NLS-1$
 	}
-
+	
 	/**
 	 * The property this lexicon is build on.
 	 * 
@@ -457,17 +467,17 @@
 	public Property getProperty() {
 		return pProperty;
 	}
-
+	
 	@Override
 	public String getSimpleName() {
 		try {
 			return this.getProperty().getName();
 		}
-		catch(Exception e) {
+		catch (Exception e) {
 			return this.getEmptyName();
 		}
 	}
-
+	
 	/**
 	 * Gets the symbol.
 	 *
@@ -476,33 +486,33 @@
 	public String getSymbol() {
 		return this.symbol;
 	}
-
+	
 	/**
 	 * Hack frequencies using a map to set forms and frequencies
 	 *
 	 * @param corpus the corpus
 	 * @param pProperty the property
 	 * @param map the map
-	 * {@link Corpus#getLexicon(Property)} or
-	 * {@link Subcorpus#getLexicon(Property)}.
+	 *            {@link Corpus#getLexicon(Property)} or
+	 *            {@link Subcorpus#getLexicon(Property)}.
 	 */
 	public boolean hack(Map<String, Integer> map) {
 		if (map.size() != forms.length) {
 			return false;
 		}
-
-		//super(corpus);
+		
+		// super(corpus);
 		int size = map.size();
 		int[] freqs = new int[size];
 		String[] forms = map.keySet().toArray(new String[] {});
 		for (int i = 0; i < forms.length; i++) {
 			freqs[i] = map.get(forms[i]);
 		}
-
+		
 		this.freqs = freqs;
 		return true;
 	}
-
+	
 	/**
 	 * Protected on purpose: should be accessed through others initializer.
 	 *
@@ -510,8 +520,8 @@
 	 * @param property the property
 	 * @param freq the freq
 	 * @param ids the ids
-	 * {@link Corpus#getLexicon(Property)} or
-	 * {@link Subcorpus#getLexicon(Property)}.
+	 *            {@link Corpus#getLexicon(Property)} or
+	 *            {@link Subcorpus#getLexicon(Property)}.
 	 */
 	protected void init(TXMResult corpus, Property property, int[] freq, int[] ids) {
 		if (freq.length != ids.length) {
@@ -522,8 +532,8 @@
 		this.forms = null;
 		this.pProperty = property;
 	}
-
-
+	
+	
 	/**
 	 * Number of tokens (sum of all the frequencies) in the corpus.
 	 * 
@@ -535,8 +545,8 @@
 		}
 		return numberOfTokens;
 	}
-
-
+	
+	
 	/**
 	 * Number of different types in the frequency list.
 	 * 
@@ -550,23 +560,24 @@
 			return 0;
 		}
 	}
-
+	
 	public void setParameters(Property property) {
 		this.pProperty = property;
 	}
-
+	
 	@Override
 	public boolean setParameters(TXMParameters parameters) {
 		try {
 			Property p = (Property) parameters.get("properties");
 			this.setParameters(p);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			Log.printStackTrace(e);
 			return false;
 		}
 		return true;
 	}
-
+	
 	/**
 	 * Sets the symbol.
 	 *
@@ -575,13 +586,13 @@
 	public void setSymbol(String symbol) {
 		this.symbol = symbol;
 	}
-
-
+	
+	
 	@Override
 	public String toString() {
 		return NLS.bind(IndexCoreMessages.lexiconColonP0, this.getCurrentName());
 	}
-
+	
 	/**
 	 * To txt.
 	 *
@@ -597,38 +608,43 @@
 		// OutputStreamWriter writer;
 		try {
 			this.writer = new OutputStreamWriter(new FileOutputStream(outfile),
-					encoding); 
-		} catch (UnsupportedEncodingException e1) {
+					encoding);
+		}
+		catch (UnsupportedEncodingException e1) {
 			org.txm.utils.logger.Log.printStackTrace(e1);
 			return false;
-		} catch (FileNotFoundException e1) {
+		}
+		catch (FileNotFoundException e1) {
 			org.txm.utils.logger.Log.printStackTrace(e1);
 			return false;
 		}
-
+		
 		try {
 			writer.write(this.dump(colseparator, txtseparator));
 			writer.close();
-		} catch (IOException e) {
+		}
+		catch (IOException e) {
 			org.txm.utils.logger.Log.printStackTrace(e);
 			return false;
 		}
-
+		
 		return true;
 	}
-
+	
 	/**
 	 * Sets the unit property.
+	 * 
 	 * @param property the unit property
 	 */
 	public void setProperty(Property property) {
 		this.pProperty = property;
 	}
-
-
+	
+	
 	/**
 	 * Gets a Lexicon from the specified corpus.
 	 * If a Lexicon child exists in the Corpus fro the specified property, returns it otherwise creates and computes a new Lexicon.
+	 * 
 	 * @param corpus
 	 * @param property
 	 * @return
@@ -637,22 +653,22 @@
 	public static ___Lexicon2 getLexicon(CQPCorpus corpus, Property property, IProgressMonitor monitor) throws Exception {
 		___Lexicon2 lexicon = null;
 		
-		// recycling parent Lexicon if exists 
-		ArrayList<___Lexicon2> partLexicons = (ArrayList<___Lexicon2>)corpus.getChildren(___Lexicon2.class);
+		// recycling parent Lexicon if exists
+		ArrayList<___Lexicon2> partLexicons = (ArrayList<___Lexicon2>) corpus.getChildren(___Lexicon2.class);
 		for (int i = 0; i < partLexicons.size(); i++) {
-			if(partLexicons.get(i).getProperty() == property)	{
+			if (partLexicons.get(i).getProperty() == property) {
 				lexicon = partLexicons.get(i);
 				break;
 			}
 		}
 		
 		// creating new Lexicon
-		if(lexicon == null || lexicon.getProperty() != property)	{
+		if (lexicon == null || lexicon.getProperty() != property) {
 			lexicon = new ___Lexicon2(corpus);
 			lexicon.setProperty(property);
 		}
 		
-		if(!lexicon.hasBeenComputedOnce())	{
+		if (!lexicon.hasBeenComputedOnce()) {
 			lexicon.compute(monitor);
 		}
 		
@@ -660,39 +676,39 @@
 	}
 	
 	
-//	/**
-//	 * Find or build a lexicon given a Corpus (MainCorpus or SubCorpus).
-//	 * 
-//	 * @param corpus
-//	 * @param property
-//	 * @return a Lexicon. May return null if the lexicon forms or freqs are null.
-//	 * @throws Exception 
-//	 */
-//	public static Lexicon getLexicon(Corpus corpus, Property property) throws Exception {
-//		HashSet<Object> results = corpus.getStoredData(Lexicon.class);
-//		for (Object result : results) {
-//			Lexicon lex = (Lexicon)result;
-//			if (lex.getProperty().equals(property)) {
-//				return lex;
-//			}
-//		}
-//
-//		Lexicon lex = new Lexicon(corpus);
-//		lex.setParameters(property);
-//		if (lex.compute(null) && lex.getForms() != null && lex.getFreq() != null) {
-//			corpus.storeData(lex);
-//			return lex;
-//		} else {
-//			return null;
-//		}
-//	}
-
-
-
+	// /**
+	// * Find or build a lexicon given a Corpus (MainCorpus or SubCorpus).
+	// *
+	// * @param corpus
+	// * @param property
+	// * @return a Lexicon. May return null if the lexicon forms or freqs are null.
+	// * @throws Exception
+	// */
+	// public static Lexicon getLexicon(Corpus corpus, Property property) throws Exception {
+	// HashSet<Object> results = corpus.getStoredData(Lexicon.class);
+	// for (Object result : results) {
+	// Lexicon lex = (Lexicon)result;
+	// if (lex.getProperty().equals(property)) {
+	// return lex;
+	// }
+	// }
+	//
+	// Lexicon lex = new Lexicon(corpus);
+	// lex.setParameters(property);
+	// if (lex.compute(null) && lex.getForms() != null && lex.getFreq() != null) {
+	// corpus.storeData(lex);
+	// return lex;
+	// } else {
+	// return null;
+	// }
+	// }
+	
+	
+	
 	@Override
 	public String getResultType() {
 		return IndexCoreMessages.lexicon;
 	}
-
 	
-}
\ No newline at end of file
+	
+}
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 2396)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 2397)
@@ -47,8 +47,8 @@
  * @author mdecorde
  */
 public class Lexicon extends Index {
-
-
+	
+	
 	public Lexicon(CQPCorpus parent) {
 		super(parent);
 	}
@@ -60,10 +60,10 @@
 	@Override
 	protected boolean _computeLines() {
 		try {
-
-			//this.query = new Query("[]"); //$NON-NLS-1$
-			//			this.props = new ArrayList<Property>();
-			//			this.props.add(property);
+			
+			// this.query = new Query("[]"); //$NON-NLS-1$
+			// this.props = new ArrayList<Property>();
+			// this.props.add(property);
 			Property property = pProperties.get(0);
 			
 			CQPLexicon lexicon = CQPLexicon.getLexicon(this.getCorpus(), property, monitor);
@@ -86,9 +86,9 @@
 					c[0] = freqs[i];
 					l.setCounts(c, freqs[i] / lexicon.nbrOfToken());
 					l.putIds(property, new int[] { ids[i] });
-
+					
 					lines.add(l);
-
+					
 					if (Fmin > freqs[i]) {
 						Fmin = freqs[i];
 					}
@@ -98,7 +98,8 @@
 				}
 			}
 			
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.errorColonP0, e.getLocalizedMessage()));
 			Log.printStackTrace(e);
 			return false;
@@ -118,14 +119,14 @@
 	public String getComputingStartMessage() {
 		return TXMCoreMessages.bind(IndexCoreMessages.lexiconOfP0InTheP1Corpus, WordProperty.propertiesToString(this.pProperties), this.getCorpus().getName());
 	}
-
 	
+	
 	@Override
 	public String getName() {
 		try {
 			return this.getParent().getSimpleName() + ": " + this.getSimpleName();
 		}
-		catch(NullPointerException e) {
+		catch (NullPointerException e) {
 			return this.getEmptyName();
 		}
 	}
@@ -139,5 +140,5 @@
 			return getParent().getSimpleName();
 		}
 	}
-
-}
\ No newline at end of file
+	
+}
